# Notification
source: https://developer.mastercard.com/cross-border-services/documentation/api-ref/value-added-services/rfi-apis/notification/index.md

## API {#api}

[**Open Specification**](https://static.developer.mastercard.com/content/cross-border-services/swagger/cross_border-swagger.yaml)

This RFI Push Notification will inform a Customer of the current status of a RFI request. Look at the RFI process description and [How it works](https://developer.mastercard.com/cross-border-services/documentation/api-ref/value-added-services/rfi-apis/how-it-works/index.md) for details on how to use the Push Notification for a cross border RFI solution.  

For more information on configuring a push notification, please see [here](https://developer.mastercard.com/cross-border-services/documentation/api-basics/index.md#push-notification-setup).

## Environment domains {#environment-domains}

This is a push notification and webhook endpoint will need to be provided by you for Mastercard to send the RFI Request notifications.

API Reference: `GET /send/partners/{partner_id}/crossborder/rfi/webhooks`

* **Formats supported** : JSON   
* **HTTP Version**: 1.0/ 1.1
* **Required HTTP header parameters** :   
  content-type : Format of the inbound content being submitted. example: application/ json   
  content-length: Length of the inbound content body in octets.   
  Accept: Format of the expected response must be provided in this header field. Example- application/json

## Payload Encryption {#payload-encryption}

The payload sent by Mastercard will be encrypted. You will need to decrypt the payload sent by Mastercard.   

For more detailed information on payload **Encryption/Decryption** , please see [here](https://developer.mastercard.com/cross-border-services/documentation/api-basics/index.md#transport-encryption)

## Next step {#next-step}

Proceed to [Sandbox Testing](https://developer.mastercard.com/cross-border-services/documentation/testing/rfi-apis/notification/index.md) to view the sample requests for the RFI Notification.
